-- Test campsite_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(27);

set search_path to camper, public;

select has_table('campsite_i18n');
select has_pk('campsite_i18n');
select col_is_pk('campsite_i18n', array['campsite_id', 'lang_tag']);
select table_privs_are('campsite_i18n', 'guest', array['SELECT']);
select table_privs_are('campsite_i18n', 'employee', array['SELECT']);
select table_privs_are('campsite_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('campsite_i18n', 'authenticator', array[]::text[]);

select has_column('campsite_i18n', 'campsite_id');
select col_is_fk('campsite_i18n', 'campsite_id');
select fk_ok('campsite_i18n', 'campsite_id', 'campsite', 'campsite_id');
select col_type_is('campsite_i18n', 'campsite_id', 'integer');
select col_not_null('campsite_i18n', 'campsite_id');
select col_hasnt_default('campsite_i18n', 'campsite_id');

select has_column('campsite_i18n', 'lang_tag');
select col_is_fk('campsite_i18n', 'lang_tag');
select fk_ok('campsite_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('campsite_i18n', 'lang_tag', 'text');
select col_not_null('campsite_i18n', 'lang_tag');
select col_hasnt_default('campsite_i18n', 'lang_tag');

select has_column('campsite_i18n', 'info1');
select col_type_is('campsite_i18n', 'info1', 'xml');
select col_is_null('campsite_i18n', 'info1');
select col_hasnt_default('campsite_i18n', 'info1');

select has_column('campsite_i18n', 'info2');
select col_type_is('campsite_i18n', 'info2', 'xml');
select col_is_null('campsite_i18n', 'info2');
select col_hasnt_default('campsite_i18n', 'info2');


select *
from finish();

rollback;

